[Pvfs2-cvs] commit by sampson in pvfs2/cert-utils:
pvfs2-grid-proxy-init.sh
CVS commit program
cvs at parl.clemson.edu
Wed Jun 1 17:34:33 EDT 2011
Update of /projects/cvsroot/pvfs2/cert-utils
In directory parlweb1:/tmp/cvs-serv16790/cert-utils
Added Files:
Tag: windows-client
pvfs2-grid-proxy-init.sh
Log Message:
Windows certificate support: added pvfs2-grid-proxy-init.sh script; started LDAP config support
--- /dev/null 2004-06-24 14:04:38.000000000 -0400
+++ pvfs2-grid-proxy-init.sh 2011-06-01 17:34:33.000000000 -0400
@@ -0,0 +1,22 @@
+#!/bin/sh
+# This script generates a proxy certificate with a policy in the format
+# of {UID}/{GID}, e.g. 1000/100. The certificate is stored in /tmp/x509up_u{UID},
+# e.g. /tmp/x509up_u1000. This certificate is for use with the OrangeFS
+# Windows Client.
+#
+# $GLOBUS_LOCATION must be set, or grid-proxy-init must be on the path.
+#
+# Arguments to this script will be passed to grid-proxy-init.
+
+echo `id -u`/`id -g` > cert-policy
+if [ $? -ne 0 ]; then
+ echo Could not create cert-policy, exiting
+ exit 1
+fi
+
+if [ "$GLOBUS_LOCATION" != "" ]; then
+ $GLOBUS_LOCATION/bin/grid-proxy-init -policy cert-policy -pl id-ppl-anyLanguage $@
+else
+ grid-proxy-init -policy cert-policy -pl id-ppl-anyLanguage $@
+fi
+
More information about the Pvfs2-cvs
mailing list